Subject: GNU IceCat Updates???

From: Ed Kirkland <[email-masked]>
Date: Fri, 28 May 2021 19:53:47 +0200

Has GNU IceCat 60.7.0esr (64-bit) Updates been Overlooked Since 2019?
https://www.gnu.org/software/gnuzilla/

They are newer on GIT, however which one should I use?
I practice 'Browser Isolation' and have security concerns.
https://git.savannah.gnu.org/cgit/gnuzilla.git

I'm using SeaMonkey Mail... Thunderbird just keeps going downhill IMO. I would switch over to ClawsMail if it would import "All of The Contact Details" from my Address Book like SeaMonkey/Thunderbird does.

I'm using Linux Mint Xfce Full-Time, I switched from Fedora because 'sK1 Project' dependence's Were NOT being updated like Debian based ones were... Upstream is Not always the best choice -- I learned that the hard way! I really like Fedora Xfce better with all the crazy window themes like BeOS and many others.